/**
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.dotty;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Compound Attribute</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute#getCompound <em>Compound</em>}</li>
 * </ul>
 *
 * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompoundAttribute()
 * @model
 * @generated
 */
public interface CompoundAttribute extends Attribute
{
  /**
   * Returns the value of the '<em><b>Compound</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Compound</em>' attribute.
   * @see #setCompound(String)
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompoundAttribute_Compound()
   * @model
   * @generated
   */
  String getCompound();

  /**
   * Sets the value of the '{@link fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute#getCompound <em>Compound</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Compound</em>' attribute.
   * @see #getCompound()
   * @generated
   */
  void setCompound(String value);

} // CompoundAttribute
